summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-09-07 14:17:50 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-09-07 14:17:50 +0100
commit4d73932cbd18c77a156fdb4a4b48a8f4a69c2c97 (patch)
tree794953271a3b1ff3eb3c6d3cdc959537a63910b4
parentdeead60c6c213dfcf58926b13fb01f9ae13759e4 (diff)
port FET to Gentoo world, as this is the first ebuild for the software
-rw-r--r--app-office/fet/Manifest1
-rw-r--r--app-office/fet/fet-5.30.3.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/app-office/fet/Manifest b/app-office/fet/Manifest
new file mode 100644
index 00000000..771740d4
--- /dev/null
+++ b/app-office/fet/Manifest
@@ -0,0 +1 @@
+DIST fet-5.30.3.tar.bz2 10228185 SHA256 30a5d2cbc1d1a544b16d661faccd582cba46d79473e283d97844a90ca1dab2a1 SHA512 9e5f5c073beeb1e7a303df74ecda05c287eba2b22640a9383c01c5a4ef01f14b4df7f0a2a87316095177ea962fbfff0564548b39af3f07122bb85bab0cb83498 WHIRLPOOL ddc5b9b88256ced054b0955cc79e6707742f3f945ecb252b5a4706ec7c935ccf6a01d6907886bb85e61bed280f0680c0a9d833fde2061fba8e3a0cce86839c74
diff --git a/app-office/fet/fet-5.30.3.ebuild b/app-office/fet/fet-5.30.3.ebuild
new file mode 100644
index 00000000..27495204
--- /dev/null
+++ b/app-office/fet/fet-5.30.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils qmake-utils
+
+DESCRIPTION="Opensource school/high-school/university timetable scheduling software"
+HOMEPAGE="http://lalescu.ro/liviu/fet/"
+SRC_URI="http://lalescu.ro/liviu/fet/download/fet-5.30.3.tar.bz2"
+
+LICENSE="AGPL3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5"
+RDEPEND="${DEPEND}"
+
+src_configure () {
+ eqmake5 ${PN}.pro
+}
+
+src_install () {
+ emake INSTALL_ROOT=${D} install || die
+}